<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Jdbc41Bridge (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Jdbc41Bridge (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Jdbc41Bridge.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/DriverManagerConnectionFactory.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/ListException.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/Jdbc41Bridge.html" target="_top">Frames</a></li>
<li><a href="Jdbc41Bridge.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2</div>
<h2 title="Class Jdbc41Bridge" class="title">Class Jdbc41Bridge</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.Jdbc41Bridge</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Jdbc41Bridge</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Defines bridge methods to JDBC 4.1 (Java 7) methods to allow call sites to operate safely (without
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>) when using a JDBC driver written for JDBC 4.0 (Java 6).</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#Jdbc41Bridge--">Jdbc41Bridge</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#abort-java.sql.Connection-java.util.concurrent.Executor-">abort</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection,
     <a href="https://docs.oracle.com/javase/8/docs/api/java/util/concurrent/Executor.html?is-external=true" title="class or interface in java.util.concurrent">Executor</a>&nbsp;executor)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#abort-java.util.concurrent.Executor-" title="class or interface in java.sql"><code>Connection.abort(Executor)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#closeOnCompletion-java.sql.Statement-">closeOnCompletion</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;statement)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql"><code>Statement.closeOnCompletion()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#generatedKeyAlwaysReturned-java.sql.DatabaseMetaData-">generatedKeyAlwaysReturned</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a>&nbsp;databaseMetaData)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql"><code>DatabaseMetaData.generatedKeyAlwaysReturned()</code></a> without throwing a
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#getNetworkTimeout-java.sql.Connection-">getNetworkTimeout</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getNetworkTimeout--" title="class or interface in java.sql"><code>Connection.getNetworkTimeout()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#getObject-java.sql.ResultSet-int-java.lang.Class-">getObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;resultSet,
         int&nbsp;columnIndex,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static &lt;T&gt;&nbsp;T</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#getObject-java.sql.ResultSet-java.lang.String-java.lang.Class-">getObject</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;resultSet,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnLabel,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/util/logging/Logger.html?is-external=true" title="class or interface in java.util.logging">Logger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#getParentLogger-javax.sql.CommonDataSource-">getParentLogger</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a>&nbsp;commonDataSource)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql"><code>CommonDataSource.getParentLogger()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#getPseudoColumns-java.sql.DatabaseMetaData-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">getPseudoColumns</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a>&nbsp;databaseMetaData,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schemaPattern,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tableNamePattern,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnNamePattern)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a> without throwing a
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#getSchema-java.sql.Connection-">getSchema</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getSchema--" title="class or interface in java.sql"><code>Connection.getSchema()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#isCloseOnCompletion-java.sql.Statement-">isCloseOnCompletion</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;statement)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql"><code>Statement.isCloseOnCompletion()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#setNetworkTimeout-java.sql.Connection-java.util.concurrent.Executor-int-">setNetworkTimeout</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/util/concurrent/Executor.html?is-external=true" title="class or interface in java.util.concurrent">Executor</a>&nbsp;executor,
                 int&nbsp;milliseconds)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql"><code>Connection.setNetworkTimeout(Executor, int)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/Jdbc41Bridge.html#setSchema-java.sql.Connection-java.lang.String-">setSchema</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection,
         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema)</code>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSchema-java.lang.String-" title="class or interface in java.sql"><code>Connection.setSchema(String)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Jdbc41Bridge--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Jdbc41Bridge</h4>
<pre>public&nbsp;Jdbc41Bridge()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="abort-java.sql.Connection-java.util.concurrent.Executor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>abort</h4>
<pre>public static&nbsp;void&nbsp;abort(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/util/concurrent/Executor.html?is-external=true" title="class or interface in java.util.concurrent">Executor</a>&nbsp;executor)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#abort-java.util.concurrent.Executor-" title="class or interface in java.sql"><code>Connection.abort(Executor)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#abort-java.util.concurrent.Executor-" title="class or interface in java.sql"><code>Connection.abort(Executor)</code></a>, then call <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#close--" title="class or interface in java.sql"><code>Connection.close()</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - the receiver</dd>
<dd><code>executor</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#abort-java.util.concurrent.Executor-" title="class or interface in java.sql"><code>Connection.abort(Executor)</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#abort-java.util.concurrent.Executor-" title="class or interface in java.sql"><code>Connection.abort(Executor)</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#abort-java.util.concurrent.Executor-" title="class or interface in java.sql"><code>Connection.abort(Executor)</code></a></dd>
</dl>
</li>
</ul>
<a name="generatedKeyAlwaysReturned-java.sql.DatabaseMetaData-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generatedKeyAlwaysReturned</h4>
<pre>public static&nbsp;boolean&nbsp;generatedKeyAlwaysReturned(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a>&nbsp;databaseMetaData)
                                          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql"><code>DatabaseMetaData.generatedKeyAlwaysReturned()</code></a> without throwing a
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql"><code>DatabaseMetaData.generatedKeyAlwaysReturned()</code></a>, then return false.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>databaseMetaData</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql"><code>DatabaseMetaData.generatedKeyAlwaysReturned()</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql"><code>DatabaseMetaData.generatedKeyAlwaysReturned()</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql"><code>DatabaseMetaData.generatedKeyAlwaysReturned()</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql"><code>DatabaseMetaData.generatedKeyAlwaysReturned()</code></a></dd>
</dl>
</li>
</ul>
<a name="getNetworkTimeout-java.sql.Connection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNetworkTimeout</h4>
<pre>public static&nbsp;int&nbsp;getNetworkTimeout(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getNetworkTimeout--" title="class or interface in java.sql"><code>Connection.getNetworkTimeout()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getNetworkTimeout--" title="class or interface in java.sql"><code>Connection.getNetworkTimeout()</code></a>, then return 0.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - the receiver</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getNetworkTimeout--" title="class or interface in java.sql"><code>Connection.getNetworkTimeout()</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getNetworkTimeout--" title="class or interface in java.sql"><code>Connection.getNetworkTimeout()</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getNetworkTimeout--" title="class or interface in java.sql"><code>Connection.getNetworkTimeout()</code></a></dd>
</dl>
</li>
</ul>
<a name="getObject-java.sql.ResultSet-int-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObject</h4>
<pre>public static&nbsp;&lt;T&gt;&nbsp;T&nbsp;getObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;resultSet,
                              int&nbsp;columnIndex,
                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a>, then return 0.
 </p></div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resultSet</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
<dd><code>columnIndex</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
<dd><code>type</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
</dl>
</li>
</ul>
<a name="getObject-java.sql.ResultSet-java.lang.String-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObject</h4>
<pre>public static&nbsp;&lt;T&gt;&nbsp;T&nbsp;getObject(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;resultSet,
                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnLabel,
                              <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;type)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>resultSet</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a></dd>
<dd><code>columnLabel</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a></dd>
<dd><code>type</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-java.lang.String-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(String, Class)</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true#getObject-int-java.lang.Class-" title="class or interface in java.sql"><code>ResultSet.getObject(int, Class)</code></a></dd>
</dl>
</li>
</ul>
<a name="getPseudoColumns-java.sql.DatabaseMetaData-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPseudoColumns</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ResultSet.html?is-external=true" title="class or interface in java.sql">ResultSet</a>&nbsp;getPseudoColumns(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a>&nbsp;databaseMetaData,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;catalog,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schemaPattern,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tableNamePattern,
                                         <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnNamePattern)
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a> without throwing a
 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a>,
 then return null.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>databaseMetaData</code> - the receiver</dd>
<dd><code>catalog</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a></dd>
<dd><code>schemaPattern</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a></dd>
<dd><code>tableNamePattern</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a></dd>
<dd><code>columnNamePattern</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql"><code>DatabaseMetaData.getPseudoColumns(String, String, String, String)</code></a></dd>
</dl>
</li>
</ul>
<a name="getSchema-java.sql.Connection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSchema</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getSchema(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getSchema--" title="class or interface in java.sql"><code>Connection.getSchema()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getSchema--" title="class or interface in java.sql"><code>Connection.getSchema()</code></a>, then return null.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - the receiver</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>null for a JDBC 4 driver or a value per <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getSchema--" title="class or interface in java.sql"><code>Connection.getSchema()</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getSchema--" title="class or interface in java.sql"><code>Connection.getSchema()</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#getSchema--" title="class or interface in java.sql"><code>Connection.getSchema()</code></a></dd>
</dl>
</li>
</ul>
<a name="setNetworkTimeout-java.sql.Connection-java.util.concurrent.Executor-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNetworkTimeout</h4>
<pre>public static&nbsp;void&nbsp;setNetworkTimeout(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection,
                                     <a href="https://docs.oracle.com/javase/8/docs/api/java/util/concurrent/Executor.html?is-external=true" title="class or interface in java.util.concurrent">Executor</a>&nbsp;executor,
                                     int&nbsp;milliseconds)
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql"><code>Connection.setNetworkTimeout(Executor, int)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql"><code>Connection.setNetworkTimeout(Executor, int)</code></a>, then do nothing.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - the receiver</dd>
<dd><code>executor</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql"><code>Connection.setNetworkTimeout(Executor, int)</code></a></dd>
<dd><code>milliseconds</code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql"><code>Connection.setNetworkTimeout(Executor, int)</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql"><code>Connection.setNetworkTimeout(Executor, int)</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setNetworkTimeout-java.util.concurrent.Executor-int-" title="class or interface in java.sql"><code>Connection.setNetworkTimeout(Executor, int)</code></a></dd>
</dl>
</li>
</ul>
<a name="setSchema-java.sql.Connection-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSchema</h4>
<pre>public static&nbsp;void&nbsp;setSchema(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;schema)
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSchema-java.lang.String-" title="class or interface in java.sql"><code>Connection.setSchema(String)</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSchema-java.lang.String-" title="class or interface in java.sql"><code>Connection.setSchema(String)</code></a>, then do nothing.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - the receiver</dd>
<dd><code>schema</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSchema-java.lang.String-" title="class or interface in java.sql"><code>Connection.setSchema(String)</code></a>.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSchema-java.lang.String-" title="class or interface in java.sql"><code>Connection.setSchema(String)</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true#setSchema-java.lang.String-" title="class or interface in java.sql"><code>Connection.setSchema(String)</code></a></dd>
</dl>
</li>
</ul>
<a name="closeOnCompletion-java.sql.Statement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeOnCompletion</h4>
<pre>public static&nbsp;void&nbsp;closeOnCompletion(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;statement)
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql"><code>Statement.closeOnCompletion()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql"><code>Statement.closeOnCompletion()</code></a>, then just check that the connection
 is closed to then throw an SQLException.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statement</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql"><code>Statement.closeOnCompletion()</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql"><code>Statement.closeOnCompletion()</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql"><code>Statement.closeOnCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="isCloseOnCompletion-java.sql.Statement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCloseOnCompletion</h4>
<pre>public static&nbsp;boolean&nbsp;isCloseOnCompletion(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>&nbsp;statement)
                                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql"><code>Statement.isCloseOnCompletion()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql"><code>Statement.isCloseOnCompletion()</code></a>, then just check that the
 connection is closed to then throw an SQLException.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>statement</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql"><code>Statement.isCloseOnCompletion()</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql"><code>Statement.isCloseOnCompletion()</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql"><code>Statement.isCloseOnCompletion()</code></a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql"><code>Statement.closeOnCompletion()</code></a></dd>
</dl>
</li>
</ul>
<a name="getParentLogger-javax.sql.CommonDataSource-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getParentLogger</h4>
<pre>public static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/logging/Logger.html?is-external=true" title="class or interface in java.util.logging">Logger</a>&nbsp;getParentLogger(<a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true" title="class or interface in javax.sql">CommonDataSource</a>&nbsp;commonDataSource)
                              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql">SQLFeatureNotSupportedException</a></pre>
<div class="block">Delegates to <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql"><code>CommonDataSource.getParentLogger()</code></a> without throwing an <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AbstractMethodError.html?is-external=true" title="class or interface in java.lang"><code>AbstractMethodError</code></a>.
 <p>
 If the JDBC driver does not implement <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql"><code>CommonDataSource.getParentLogger()</code></a>, then return null.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>commonDataSource</code> - See <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql"><code>CommonDataSource.getParentLogger()</code></a></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>See <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql"><code>CommonDataSource.getParentLogger()</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLFeatureNotSupportedException.html?is-external=true" title="class or interface in java.sql">SQLFeatureNotSupportedException</a></code> - See <a href="https://docs.oracle.com/javase/8/docs/api/javax/sql/CommonDataSource.html?is-external=true#getParentLogger--" title="class or interface in javax.sql"><code>CommonDataSource.getParentLogger()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Jdbc41Bridge.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/DriverManagerConnectionFactory.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/ListException.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/Jdbc41Bridge.html" target="_top">Frames</a></li>
<li><a href="Jdbc41Bridge.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
